Skip to main content
GET
/
{serviceType}
/
{serviceId}
/
ingressDeploymentStatus
Get Ingress Deployment Status By Service
curl --request GET \
  --url https://api.qovery.com/{serviceType}/{serviceId}/ingressDeploymentStatus \
  --header 'Authorization: Bearer <token>'
{
  "routerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "BUILDING"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

serviceType
enum<string>
required
Available options:
CONTAINER,
APPLICATION,
HELM
serviceId
string<uuid>
required

Response

200 - application/json

OK

routerId
string<uuid>
status
enum<string>
Available options:
BUILDING,
BUILD_ERROR,
CANCELED,
CANCELING,
DELETED,
DELETE_ERROR,
DELETE_QUEUED,
DELETING,
DEPLOYED,
DEPLOYING,
DEPLOYMENT_ERROR,
DEPLOYMENT_QUEUED,
EXECUTING,
QUEUED,
READY,
RECAP,
RESTARTED,
RESTARTING,
RESTART_ERROR,
RESTART_QUEUED,
STOPPED,
STOPPING,
STOP_ERROR,
STOP_QUEUED,
UNAVAILABLE,
WAITING_DELETING,
WAITING_RESTARTING,
WAITING_RUNNING,
WAITING_STOPPING